/**************************************************************
	Kanji2KoeCmd - ȊeLXgLɕϊ

	>Kanji2KoeCmd < in.txt(SJIS) > out.koe(SJIS)

	͉sP

	rh
	KvɉāA
	  AqKanji2Koe.h̃pXCN[ht@CpXɒǉ
	  AqKanji2Koe.lib̃pXCupXɒǉ

	s̔zu
	AqKanji2Koe.dlĺAexeƓfBNgɔzu
	tH_(aq_dic)exeƓfBNgɔzu

		|- Kanji2KoeCmd.exe
		|- AqKanji2Koe.dll
		|- aq_dic/
			|- aqdic.bin 
			|- aq_user.dic ([U:C)
			|- CREDITS

  
	2019/03/03	Ver.4pɈꕔC

**************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <Windows.h>
#include <AqKanji2Koe.h>	// CN[hpX̒ǉKv
#pragma comment(lib, "AqKanji2Koe.lib")  // AqKanji2KoeCuN
#pragma warning(disable : 4996) 

#define	NSTR	4096

void _AqGetExePath(char *path);

int main(int ac, char **av)
{
	int iret;
	char kanji[NSTR];
	char koe[NSTR];
	char dicDir[_MAX_PATH];

	// JCZXL[̎w(CZX؂ɋL)
	iret = AqKanji2Koe_SetDevKey("XXX-XXX-XXX");

	// f[^t@C̃pX߂
	_AqGetExePath(dicDir);
	strcat(dicDir, "aq_dic");
	
	// ꏈCũCX^X
	void *hAqKanji2Koe = AqKanji2Koe_Create(dicDir, &iret);
	if(hAqKanji2Koe==0)	// G[̏ꍇA0Ԃ G[R[hiret
		return iret;

	int i;
	for(i=0; ; i++){
		if(fgets(kanji, NSTR, stdin)==0) break;
		// Ȍ̃eLXgf[^Lɕϊ
		iret = AqKanji2Koe_Convert_sjis(hAqKanji2Koe, kanji, koe, NSTR);
		if(iret!=0) break;	// G[̏ꍇA0ȊOԂ
		fprintf(stdout, "%s\n", koe);
	}


	// ꏈCũCX^X
	AqKanji2Koe_Release(hAqKanji2Koe);
	return iret;
}


/*------------------ ֐----------- ------------------------------
NAME
PARAM
	path[_MAX_PATH + 1 ]
RETURN
DESCRIPTION
	s̃pXihCutj߂
NOTE
	Ōɂ\t
--------------------------------------------------------------------*/
void _AqGetExePath(char *path)
{
	char 	str[ _MAX_PATH + 1 ];
	char	drive[_MAX_DRIVE];
	char	dir[_MAX_DIR];
	char	fname[_MAX_FNAME];
	char	ext[_MAX_EXT];

	GetModuleFileName(NULL, str, _MAX_PATH);
	_splitpath( str, drive, dir, fname, ext );
	strcpy(path,drive);
	strcat(path, dir);
	return ;
}
